%define name lxappearance
%define version 0.6.3
%define release %mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:        GTK theme switcher
Summary(de):	GTK Thema wechseln 
Source0:	%{name}-%{version}.tar.xz
URL:            http://lxde.sourceforge.net/
Group:		Graphical desktop/LXDE
License:	GPL
#-------------------------------------------
BuildRequires: docbook-dtd412-xml
BuildRequires: docbook-style-xsl
BuildRequires: libxml2-utils
BuildRequires: xsltproc
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: libgdk_pixbuf2.0-devel
BuildRequires: glib2-devel
BuildRequires: gtk+2-devel
BuildRequires: pango-devel
BuildRequires: libx11-devel
BuildRequires: libpthread-stubs
BuildRequires: intltool
#-------------------------------------------
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
GTK theme switcher for LXDE

%description -l de
GTK Themen einfach ändern unter LXDE.

%package i10n
Summary:    	Internationalisation files for lxappearance
Summary(de):	Internationales Sprachpaket für lxappearance
Group:      	Graphical desktop/LXDE
Requires:   	%{name}

%description i10n
Internationalisation files for lxappearance

%description i10n -l de
Internationales Sprachpaket für lxappearance 


%package devel
Summary:    	Development files for lxappearance
Summary(de):	Entwickler Dateien für lxappearance
Group:      	Graphical desktop/LXDE
Requires:   	%{name}

%description devel
Development files for lxappearance

%description devel -l de
Entwickler Dateien für lxappearance.


%prep
%setup -q

%build
#./autogen.sh
%configure2_5x --enable-dbus --enable-man
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%{find_lang} %{name}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=LXAppearance
Name[de]=Erscheinungsbild anpassen
Name[es]=Personalizar apariencia y comportamiento
Name[hu]=Megjelenés testreszabása
Name[it]=Personalizza aspetto e stile
Name[lg]=Endabika ya LXDE
Name[pt_BR]=Personalizar visual
Name[ru]=Настройка внешнего вида
Name[uk]=Налаштувати вигляд і відображення
Name[zh_TW]=自訂外觀風格
Name[fr]=LXApparence
GenericName=LXAppearance
GenericName[de]=Erscheinungsbild anpassen
GenericName[es]=Personalizar apariencia y comportamiento
GenericName[hu]=Megjelenés testreszabása
GenericName[it]=Personalizza aspetto e stile
GenericName[lg]=Endabika ya LXDE
GenericName[pt_BR]=Personalizar visual
GenericName[ru]=Настройка внешнего вида
GenericName[uk]=Налаштувати вигляд і відображення
GenericName[zh_TW]=自訂外觀風格
GenericName[fr]=LXApparence
Comment=Customizes look and feel of your desktop and applications
Comment[de]=Das Erscheinungsbild Ihrer Arbeitsumgebung und Anwendungen anpassen
Comment[es]=Personaliza la aparciencia y el comportamiento de su escritorio y aplicaciones
Comment[hu]=A munkaasztal és az alkalmazások megjelenésének testreszabása
Comment[it]=Personalizza l'aspetto e lo stile del tuo desktop e delle applicazioni
Comment[lg]=Wano w'osobolera okukyusa enfaanana y'awakolera ne puloguramu ezirabikiarayo
Comment[pt_BR]=Personaliza o visual de sua área de trabalho e aplicativos
Comment[ru]=Настройте тему рабочего стола и приложений
Comment[uk]=Налаштовує вигляд Вашого робочого столу і програм
Comment[zh_TW]=自訂桌面和應用程式的外觀風格
Comment[fr]=Personnaliser l'apparence et le comportement du bureau et des applications
Icon=preferences-desktop-theme
Exec=lxappearance
#NotShowIn=GNOME;XFCE;
StartupNotify=true
Categories=Settings;DesktopSettings;GTK;X-LXDE-Settings;X-MandrivaLinux-System-Configuration-Other;
Encoding=UTF-8
X-Desktop-File-Install-Version=0.11
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/lxappearance.1.bz2

%files i10n
%defattr(-,root,root,-)
%{_datadir}/locale/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/lxappearance/lxappearance.h
%{_libdir}/pkgconfig/lxappearance.pc


%changelog
* Tue Apr 23 2019 tex - 0.6.3-2pclos2019
- rebuild against updates

* Fri Mar 31 2017 ghostbunny <ghostbunny at gmx dot de> 0.6.3-1pclos2017
- 0.6.3

* Tue Feb 23 2016 daniel <meisssw01 at gmail.com> 0.6.2-1pclos2016
- update

* Fri Oct 24 2014 ghostbunny <ghostbunny at gmx dot de> 0.6.1-1pclos2014
- 0.6.1

* Wed Oct 22 2014 ghostbunny <ghostbunny at gmx dot de> 0.6.0-1pclos2014
- 0.6.0

* Sat Sep 20 2014 ghostbunny <ghostbunny at gmx dot de> 0.5.6-1pclos2014
- 0.5.6
- remove duplicated BRs
- add BR libpthread-stubs, intltool

* Tue Jan 07 2014 ghostbunny <ghostbunny at gmx dot de> 0.5.5-1pclos2014
- 0.5.5

* Mon Dec 30 2013 ghostbunny <ghostbunny at gmx dot de> 0.5.4-1pclos2014
- 0.5.4
- fix BRs

* Mon Oct 28 2013 ghostbunny <ghostbunny at gmx dot de> 0.5.3-1pclos2013
- 0.5.3

* Mon Jun 24 2013 ghostbunny <ghostbunny at gmx dot de> 0.5.2-2pclos2013
- enabled dbus option to work correctly with lxsession 0.4.9.2

* Tue May 22 2012 Neal <nealbrks0 at gmail dot com> 0.5.2-1pclos2012
- corrected 64bit BuildRequires
- process

* Tue May 22 2012 ghostbunny <ghostbunny at gmx dot de> 0.5.2-1pclos2012
- 0.5.2
- added BuildRequires

* Sat Jul 30 2011 leiche <meisssw01 at aol.com> 0.5.1-1leiche2011
- 0.5.1

* Sun Jun 26 2011 leiche <meisssw01 at aol.gmail> 0.5.0-2leiche2011
- add requires for new glibc
- add multiple languages in desktop file
- fix german synaptic description

* Fri Oct 15 2010 Texstar <texstar at gmail.com> 0.5.0-1pclos2010
- 0.5.0

* Tue May 18 2010 Neal <nealbrks0 at gmail.com> 0.4.0-2pclos2010
- 0.4.0

* Wed Dec 08 2009 Texstar <texstar at gmail.com> 0.3.1-3pclos2010
- rebuild

* Sat Oct 03 2009 Neal <nealbrks0@gmail.com> 0.2.1-2pclos2010
- gcc update

* Mon Aug 03 2009 Anikan <mamifer0 at msn dot com> 0.2.1-1pclos2009
- new version 0.2.1


